Imports System.IO


Public Class MainForm

    Dim App As DEWEsoft.IApp

    Private Sub StartButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles StartButton.Click
        App = New DEWEsoft.App
        App.Init()
    End Sub

    Private Sub MainForm_FormClosd(ByVal sender As System.Object, ByVal e As System.Windows.Forms.FormClosedEventArgs) Handles MyBase.FormClosed
        App = Nothing
    End Sub

    Private Sub LoadButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles LoadButton.Click
        If OpenFileDialog.ShowDialog = Windows.Forms.DialogResult.OK Then
            App.LoadFile(OpenFileDialog.FileName)
        End If
    End Sub

    Private Sub ReadDataButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ReadDataButton.Click
        Dim I, J, K As Long
        Dim Data
        Dim FileName As String
        Dim ObjWriter(App.Data.ShownChannels.Count) As StreamWriter
        For J = 0 To App.Data.ShownChannels.Count - 1
            FileName = "Data" + Convert.ToString(J) + ".txt"
            ObjWriter(J) = New StreamWriter(FileName)
        Next

        For I = 0 To App.LoadEngine.NumBlocks - 1
            App.LoadEngine.ReloadBlock(I)
            For J = 0 To App.Data.ShownChannels.Count - 1
                Data = App.Data.ShownChannels(J).GetScaledData()
                For K = 0 To App.Data.Samples - 1
                    ObjWriter(J).WriteLine(Data(K))
                Next
            Next
        Next

        For J = 0 To App.Data.ShownChannels.Count - 1
            ObjWriter(J).Close()
        Next
    End Sub
End Class
